# Interview Data Analysis Results

This file contains the themes generated from the coded interview data. The results of the coded issue data can be found in the [issue data](./../../data/issue-data.xlsx) file directly (see the [data description](./../../data/data-description.md) for more details).

The analysis considers three perspectives: [single quality factors](#single-quality-factors), [quality factor interactions](#quality-factor-interactions), and [context factor interactions](#context-factor-interactions). The impact codes are defined as follows (also described in the [coding guideline](./../../doc/Interview%20Coding%20Guideline.pdf)):

| Code | Description |
|---|---|
| <span style="background-color:rgb(17,115,22); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+3</span> | Very positive impact |
| <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> | Positive impact |
| <span style="background-color:rgb(181,230,29); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+1</span> | Slight positive impact |
| <span style="background-color:rgb(248,197,61); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+0</span> | No impact |
| <span style="background-color:rgb(233,125,16); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">-1</span> | Slight negative impact |
| <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> | Negative impact |
| <span style="background-color:rgb(136,0,21); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-3</span> | Very negative impact |

## Single Quality Factors

The first perspective of analysis focuses on data points that mention a single quality factor. The analysis contains information about 17 unique quality factors. Empty cells have the same value as the previous non-empty cell.

| Quality Factor | Activity | Attribute | Impact |
|---|---|---|---|
| Solution-oriented | Understanding | Uniqueness | <span style="background-color:rgb(136,0,21); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-3</span> <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| | Verifying | Completeness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| | Estimating Effort | Traceability | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | Translating | Stability | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | Assessing Feasibility | Precision | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | Planning | Stability | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| Non-actomic | Translating | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| | Planning | Stability | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Non-concise | Understanding | Uniqueness | <span style="background-color:rgb(233,125,16); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">-1</span> |
| | | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Too dense | Understanding | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> | 
| | Verifying | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| | Interpreting | Uniqueness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Semantically redundant | Coordinating | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Jargonic | Interpreting | Uniqueness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Missing trace links to output | Estimating Effort | Precision | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Unquantified | Verifying | Completeness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span>
| Outdated | Translating | Stability | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Up-to-date | Implementing | Coherence | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| Adequate scope | Understanding | Duration | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| Missing end-to-end view | Interpreting | Uniqueness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Missing information | Verifying | Completeness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Overloaded term | Understanding | Uniqueness | <span style="background-color:rgb(136,0,21); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-3</span> |
| | | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Infeasible | Translating | Feasibility | <span style="background-color:rgb(136,0,21); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-3</span> |
| Concise | Understanding | Duration | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> 
| Inconsistent | Translating | Duration | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |

## Quality Factor Interactions

The second perspective of analyis focuses on data where two quality factors co-exist, but no context factors impact the relation. The analysis contains information about 4 unique pairs of two quality factors.

| Quality Factor 1 | Quality Factor 2 | Activity | Attribute | Impact |
|---|---|---|---|---|
| semantically redundant | missing horizontal trace links | Implementing | Coherence | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| too little details | non-functional requirement | Understanding | Uniqueness | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |
| Immature | Commited | Implementing | Duration | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span>  |
| | | | Feasibility | <span style="background-color:rgb(136,0,21); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-3</span> |
| Jargonic | Too dense | Assessing Feaibility | Precision | <span style="background-color:rgb(177,2,2); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">-2</span> |

## Context Factor Interactions

The third perspective of analysis focuses on data where context factors mediate the impact of quality factors on activity attributes. The analysis contains information about 7 unique pairs of a quality and a context factor.

| Quality Factor | Context Factor | Activity | Attribute | Impact |
|---|---|---|---|---|
| Solution-orientation | Involvement | Understanding | Uniqueness | <span style="background-color:rgb(248,197,61); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+0</span> |
| | Novelty | Assessing Feasibility | Precision | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | | Estimating Effort | Precision | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | | Translating | Stability | <span style="background-color:rgb(181,230,29); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+1</span> |
| | Peer Review | Understanding | Uniqueness | <span style="background-color:rgb(248,197,61); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+0</span> |
| Too dense | Supplementary Communication | Verifying | Duration | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |
| | Experience | Understanding | Duration | <span style="background-color:rgb(248,197,61); color:black; padding:2px 5px; border-radius:3px; font-weight:bold ">+0</span> |
| Atomic | Experience | Understanding | Uniqueness | <span style="background-color:rgb(17,115,22); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+3</span> |
| Overloaded term | Involvement | Understanding | Uniqueness | <span style="background-color:rgb(23,163,31); color:white; padding:2px 5px; border-radius:3px; font-weight:bold ">+2</span> |